igeo.io

## Class IRhino3dm.Font

- java.lang.Object
- - igeo.io.IRhino3dm.RhinoObject
  - - igeo.io.IRhino3dm.Font

- Enclosing class:
    IRhino3dm

      public static class IRhino3dm.Font
      extends IRhino3dm.RhinoObject

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `char[]` | `facename`
    `IRhino3dm.UUID` | `fontId`
    `int` | `fontIndex`
    `boolean` | `fontItalic`
    `java.lang.String` | `fontName`
    `boolean` | `fontUnderlined`
    `int` | `fontWeight`
    `double` | `linefeedRatio`
    `static java.lang.String` | `uuid`

    - ### Fields inherited from class igeo.io.IRhino3dm.RhinoObject

      `attributes, objectTypeAnnotation, objectTypeAny, objectTypeBeam, objectTypeBrep, objectTypeCage, objectTypeClipPlane, objectTypeCurve, objectTypeDetail, objectTypeEdgeFilter, objectTypeExtrusion, objectTypeGrip, objectTypeHatch, objectTypeInstanceDefinition, objectTypeInstanceReference, objectTypeLayer, objectTypeLight, objectTypeLoop, objectTypeMaterial, objectTypeMesh, objectTypeMeshEdge, objectTypeMeshFace, objectTypeMeshVertex, objectTypeMorphControl, objectTypePhantom, objectTypePoint, objectTypePointset, objectTypePolyledgeFilter, objectTypePolysrfFilter, objectTypeSurface, objectTypeTextDot, objectTypeUnknown, objectTypeUserData, userDataList`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Font()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `IRhino3dm.UUID` | `getClassUUID()`
    `void` | `read(IRhino3dm.Rhino3dmFile context, java.io.InputStream is)`

    - ### Methods inherited from class igeo.io.IRhino3dm.RhinoObject

      `createIObject, getType, read, setAttributes, setAttributesToIObject, write`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### uuid

          public static final java.lang.String uuid

      See Also:
        Constant Field Values

    - #### fontName

          public java.lang.String fontName

    - #### fontWeight

          public int fontWeight

    - #### fontItalic

          public boolean fontItalic

    - #### fontUnderlined

          public boolean fontUnderlined

    - #### linefeedRatio

          public double linefeedRatio

    - #### fontIndex

          public int fontIndex

    - #### fontId

          public IRhino3dm.UUID fontId

    - #### facename

          public char[] facename

  - ### Constructor Detail

    - #### Font

          public Font()

  - ### Method Detail

    - #### getClassUUID

          public IRhino3dm.UUID getClassUUID()

      Overrides:
        `getClassUUID` in class `IRhino3dm.RhinoObject`

    - #### read

          public void read(IRhino3dm.Rhino3dmFile context,
                           java.io.InputStream is)
                    throws java.io.IOException

      Overrides:
        `read` in class `IRhino3dm.RhinoObject`
      Throws:
        `java.io.IOException`